Pass multiple pattern args in logs-deploy.sh
[releng/global-jjb.git] / shell / maven-javadoc-generate.sh
index 405b29b..99590d6 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -8,12 +8,12 @@
 # which accompanies this distribution, and is available at
 # http://www.eclipse.org/legal/epl-v10.html
 ##############################################################################
-
+echo "---> maven-javadoc-generate.sh"
 # Generates javadoc in a Maven project.
 
 # DO NOT enable -u because $MAVEN_PARAMS and $MAVEN_OPTIONS could be unbound.
 # Ensure we fail the job if any steps fail.
-set -e -o pipefail
+set -xe -o pipefail
 set +u
 
 JAVADOC_DIR="$WORKSPACE/archives/javadoc"